<?php
function leerDierctorio($ruta){
if($dir = opendir($ruta)){    
	chdir($ruta);
	/* Creamos los array de archivos y carpetas */
	$archivos=array();
	$carpetas=array();
	/* Leemos todos los elementos del directorio */
	while (($leerDir = readdir($dir)) !== false){
	if(!is_dir ($leerDir)) array_push($archivos,$leerDir);
	else array_push($carpetas,$leerDir);
	}
	/* Mostrar carpetas  */
	foreach($carpetas as $aux) echo "$aux<br />";
	/* Mostrar Archivos  */                              
	foreach($archivos as $aux) echo "$aux<br />";
	/* Cerrar directorio */
	closedir($dir);
	}  
}
$ruta="archivos";
//echo leerDierctorio($ruta)
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<a href="bajando01.php?id=<? echo leerDierctorio($ruta);?>">kk
</a>
</body>
</html>

